libglom-1.20 1.20.8

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::ParameterNameGenerator Class Reference
Collaboration diagram for Glom::ParameterNameGenerator:
[legend]

List of all members.

## Public Member Functions
| ParameterNameGenerator ()
| ~ParameterNameGenerator ()
Glib::ustring | get_next_name (unsigned int& id)
Glib::ustring | get_name_from_id (unsigned int id)

## Constructor & Destructor Documentation

Glom::ParameterNameGenerator::ParameterNameGenerator | ( |  | ) |

Glom::ParameterNameGenerator::~ParameterNameGenerator | ( |  | ) |

## Member Function Documentation

Glib::ustring Glom::ParameterNameGenerator::get_name_from_id | ( | unsigned int | id | ) |

Glib::ustring Glom::ParameterNameGenerator::get_next_name | ( | unsigned int & | id | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/parameternamegenerator.h